# sigc::dereference_trait< T_type > Struct Template Reference

Deduces the base type of a reference or a pointer. More...

List of all members.

## Public Types

typedef void | type

## Detailed Description

### template <class T_type>
struct sigc::dereference_trait< T_type >

Deduces the base type of a reference or a pointer.

The documentation for this struct was generated from the following file:

- sigc++/adaptors/lambda/operator.h